SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004304SOGoWeb Calendarpublic2017-10-03 10:332019-03-21 14:12
Reporterlspitaels 
Assigned Toludovic 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGoogle Nexus 5XOSAndoidOS Version8.0
Product Version 
Target VersionFixed in Version4.0.8 
Summary0004304: Duplicated Shared Calendars
DescriptionDear Sir, Madam,

We noticed we have some issues with Caldav and DavDroid with the shared calendars.
When we are registered to a shared calendar, it appears twice in the list of available calendars in the davdroid app. This issue has been already reported a year ago on their side but they don't plan to do anything to solved that (https://forums.bitfire.at/topic/1038/duplicated-shared-calendars [^]).

By any chance, do you have any idea or workaround which could help us to not see twice the shared calendars?

Best regards,
Laurent
Steps To Reproduce- Register to 1 shared calendar inside SOGo
- Connect to DAVdroid on Android

You will see twice the registered shared calendar.
Additional Informationhttps://forums.bitfire.at/topic/1038/duplicated-shared-calendars [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012643)
sascha.kasch@sumcumo.com (reporter)
2018-03-09 03:20

Observed the same problem with DAVdroid 1.10.1.1-gplay and SOGo v4 (nightly from 08.03.2018).

The post mentioned by lspitaels states that DAVdroid has advanced calendar detection mechanisms thus detecting two resources,
one in the /dav/username/Calendar path of the subscribing user and the other in the /dav/shareholder/Calendar path of the subscribed resource.
Further they state that this is no failure of DAVdroid

So is there any chance that SOGo can avoid this?

Thanks,
Sascha

- Related Changesets
sogo: master 96bcbbdc
Timestamp: 2019-03-21 14:08:44
Author: ludovic
Details ] Diff ]
(fix) consider DAVx5 like Apple Calendar (fixes 0004304)
mod - NEWS Diff ] File ]
mod - SoObjects/SOGo/WORequest+SOGo.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-03 10:33 lspitaels New Issue
2018-03-09 03:20 sascha.kasch@sumcumo.com Note Added: 0012643
2019-03-21 14:11 ludovic Changeset attached => sogo master 96bcbbdc
2019-03-21 14:11 ludovic Assigned To => ludovic
2019-03-21 14:11 ludovic Resolution open => fixed
2019-03-21 14:12 ludovic Status new => resolved
2019-03-21 14:12 ludovic Fixed in Version => 4.0.8


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker